Subject: [Rfced-future] Style guide and other non-strategic things ** Consensus check on part of Issue 12: Is the person an advisor (RSA) or an Executive Editor (RSE) **

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 28 Nov 2020 11:04:38 -0000

Tweaking the subject line since I *think* he have travelled out of the "strategic" zone.
That is, the style guide is something with long term effects, but its implementation is very much document-by-document.
Let's take this a step closer to the everyday...
The RPC edits a document, the authors object to one of the edits claiming the RPC's understanding of the English language is incorrect: who arbitrates or makes the final decision?
I can be happy with many answers to that question, but would point out that historically, someone has been paid to do that work.

There is, IMHO, a difference between having a go-to backstop who ensures consistency and is responsible for decisions, and having someone to whom you can go for advice. In the first case the RPC is paid to try, and the backstop is paid to hold the line. In the second case, the RPC is paid to hold the line, and someone is paid to give advice. 

It's a small thing, but it is a realignment of 'powers' and should have a consequent redistribution of financial resources.

Cheers,
Adrian

-----Original Message-----
From: Eliot Lear <[email-masked]> 
Sent: 28 November 2020 10:12
To: Brian E Carpenter <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: [Rfced-future] ** Consensus check on part of Issue 12: Is the person an advisor (RSA) or an Executive Editor (RSE) **

Good morning/evening both of you,

> On 27 Nov 2020, at 21:37, Brian E Carpenter <[email-masked]> wrote:
> 
> On 28-Nov-20 05:46, Adrian Farrel wrote:
>>>> I found this just a tiny bit ambiguous. I think that, in the context of the subject line, I can work it out. So, to be clear...
>>>> 
>>>> • The chairs think that there is likely rough consensus that role of the chair and the RS[EA] should be split.
>>>> 
>>>> • The chairs think we have consensus that the RS[EA] can raise issues to the strategic group
>>>> 
>>>> • The chairs think there is likely rough consensus that the RS[EA] does not make strategic decisions but that those are decided by the strategic body
>>>> 
>>>> • The chairs think there is likely rough consensus that the RS[EA] does not direct the RPC/REP.
>>>> 
>>>> Right?
>>> 
>>> Right.
>> 
>> Good, then I'm OK with the first three bullets, but unsure about the last one. It covers a rather large area since there are number of things on which the RPC need advice, guidance, and direction per the helpful email from Sandy.
> 
> I think there is some ambiguity about the word "direct". Does it mean "give orders to" as in "the policeman directed me to put my hands behind my head", or "give authoritative advice to" as in "Heather directed Sandy towards the new edition of the Chicago Manual of Style"?
> 
> If the former, I'm sure bullet 3 is correct, as orders come from the customer, which is the IETF LLC. If it's the latter, I'm sure it's wrong.
> 

Yes, just to be clear, we are talking in the negative here.  So… “The RS[EA] does not direct me to put my hands on my head” ;-) or perhaps more apposite: “The RS[EA] does not order the staff to take specific actions.  That person may offer guidance in specific situations, but is not in the chain of command.”

Is there general agreement on what I just wrote?

As to the style guide, perhaps that’s a separate issue or a good more-than-hypothetical to work out.  Is it maintained by the RPC with guidance of the RS[EA]?  Is it maintained by the strategic body?  Is it maintained by the RS[EA]?  Does that need to be specified here or by the strategic body?

Eliot

---

From: Christian Huitema <[email-masked]>
Date: Sat, 28 Nov 2020 10:45:15 -0800

On 11/28/2020 3:04 AM, Adrian Farrel wrote:
> Tweaking the subject line since I*think*  he have travelled out of the "strategic" zone.

That's a good way of framing the issue, Adrian. I personally lean 
towards the RPC holding the line, because it makes the overall workflow 
simpler and does not dilute responsibilities. Also, I am not aware of 
past cases in which the RSE had to overrule the RPC. Do we have examples 
of such incidents?

-- Christian Huitema

---

From: Eric Rescorla <[email-masked]>
Date: Sat, 28 Nov 2020 13:51:31 -0800

On Sat, Nov 28, 2020 at 10:53 AM Christian Huitema <[email-masked]>
wrote:

> > That is, the style guide is something with long term effects, but its
> implementation is very much document-by-document.
> > The RPC edits a document, the authors object to one of the edits
> claiming the RPC's understanding of the English language is incorrect: who
> arbitrates or makes the final decision?
> > I can be happy with many answers to that question, but would point out
> that historically, someone has been paid to do that work.
> >
> > There is, IMHO, a difference between having a go-to backstop who ensures
> consistency and is responsible for decisions, and having someone to whom
> you can go for advice. In the first case the RPC is paid to try, and the
> backstop is paid to hold the line. In the second case, the RPC is paid to
> hold the line, and someone is paid to give advice.
> >
> > It's a small thing, but it is a realignment of 'powers' and should have
> a consequent redistribution of financial resources.
>
>

I actually prefer a third version: the stream manager should be the
ultimate decision maker, just as they are about the technical content of
the document. For the IETF stream this will typically be the responsible AD
on behalf of the IESG.

-Ekr

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sat, 28 Nov 2020 16:58:07 -0500

1) If the stream managers are the final authority, then different 
streams will get different answers, reducing the coherence and 
consistency of the series.  That does not seem beneficial.

2) As a minor matter, the individual ADs are not the stream manager for 
the IETF stream.  Traditional, the IETF chair has been the stream 
manager.  I hope that the IESG has adopted a policy of appointing a 
separate individual stream manager.  But there are not 13 stream 
managers for the IETF stream.  And there should not be, as it would 
render the notion of "stream manager" rather odd.

Yours,
Joel

On 11/28/2020 4:51 PM, Eric Rescorla wrote:
> 
> 
> On Sat, Nov 28, 2020 at 10:53 AM Christian Huitema <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
> 
>      > That is, the style guide is something with long term effects, but
>     its implementation is very much document-by-document.
>     claiming the RPC's understanding of the English language is
>     incorrect: who arbitrates or makes the final decision?
>      > I can be happy with many answers to that question, but would
>     point out that historically, someone has been paid to do that work.
>      >
>      > There is, IMHO, a difference between having a go-to backstop who
>     ensures consistency and is responsible for decisions, and having
>     someone to whom you can go for advice. In the first case the RPC is
>     paid to try, and the backstop is paid to hold the line. In the
>     second case, the RPC is paid to hold the line, and someone is paid
>     to give advice.
>      >
>      > It's a small thing, but it is a realignment of 'powers' and
>     should have a consequent redistribution of financial resources.
> 
> 
> the document. For the IETF stream this will typically be the responsible 
> AD on behalf of the IESG.
> 
> -Ekr
> 
> 
>

---

From: Eric Rescorla <[email-masked]>
Date: Sat, 28 Nov 2020 14:07:54 -0800

> consistency of the series.  That does not seem beneficial.

I suspect that we're simply going to disagree here, but I'll make an attempt
to lay out my reasoning. While I think that coherence and consistency are
a value, they are not the only value. For instance, we do not encourage
the RPC to rewrite the documents extensively to make them read the
same. Indeed, the style guide does not standardize British vs.
American spelling across the series as a whole [0].

As I'm sure I've said before, from my perspective, the various streams are
customers of the RFC series, and ultimately it needs to serve their needs.
I believe that this includes allowing the streams to decide not only the
technical
content but also to a large degree the editorial content. While one might
imagine
some dispute about style which would be so large that it threatened the
character of the series (e.g., the stream wanted to have all its documents
published only in Esperanto), in my experience disputes between authors
and the RPC are not generally of this nature, and therefore IMOthe stream
ought to decide.

> render the notion of "stream manager" rather odd.

Yes. This is why I said "the AD on behalf of the IESG". I think this is a
practical approach given that the AD already is involved in making
publication time decisions such as which changes to the text require
extra IETF processing, such as being sent back to the WG. However,
I wouldn't object to having this as the IESG's designate if people prefer.

-Ekr

[0] https://www.rfc-editor.org/rfc/rfc7322.html#section-3.1

---

From: Nevil Brownlee <[email-masked]>
Date: Sun, 29 Nov 2020 15:19:57 +1300

Hi all:
In my experience - both as ISE and sitting in on weekly RPC Editors
meetings - the kind of issue that comes up has nothing to do with
technical content.  Instead, it's a "style" question, i.e. one where
the Style Guide (or maybe the Chicago Manual of Style) doesn't work
for the Author.  Remembering that the Style Guide is the basis of
RFCs' look and feel, changes to our Style Guide need to be decided by
the RSE (i.e. Series Editor).
In practice, the RFC Author(s) and whichever RPC Editor is working on
her RFC will have proposed a solution for the question, and the RSE
would usually accept that.
Cheers, Nevil

On Sun, Nov 29, 2020 at 12:04 AM Adrian Farrel <[email-masked]> wrote:
> --
> Rfced-future mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/rfced-future

-- 
-----------------------------------
Nevil Brownlee, Taupo, NZ

---

From: Carsten Bormann <[email-masked]>
Date: Sun, 29 Nov 2020 07:12:00 +0100

> customers of the RFC series, and ultimately it needs to serve their needs.

Agree completely.

But the RFC series may actually be better able to serve their needs if there is a way to have actual push-back on some not-so-good ideas of a particular stream manager.

Grüße, Carsten

---

From: Christian Huitema <[email-masked]>
Date: Sat, 28 Nov 2020 22:36:37 -0800

On 11/28/2020 10:12 PM, Carsten Bormann wrote:

> On 2020-11-28, at 23:07, Eric Rescorla<[email-masked]>  wrote:

I agree with EKR that having the RPC escalate "author disagreements" to 
the stream manager would quickly resolve most of the issues. I am not 
too concerned about "uniformity of the series" arguments, since by 
definition research papers from the IRTF will not look exactly like 
proposed standards from the IETF, or individual contributions in the 
independent stream. If that's really becoming a problem, then the 
"strategic" body looks like a good place to discuss it.

-- Christian Huitema

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sun, 29 Nov 2020 01:42:18 -0500

Depending upon what you mean by "look exactly like" below, the statement 
is either irelevant or does not match what I have seen as existing practice.

We go to significant trouble to create and maintain a consistent look 
and feel across all RFCs.  there is an argument that they should be more 
distinguished, as some people think / hope that would reduce the all too 
common confusions.  (Of course, one would then want I-Ds to look more 
distinct as well.)

But untill and unless we agree as a community on making that change, our 
existing practice has been to work for and value such consistency.

Yours,
Joel

---

From: Christian Huitema <[email-masked]>
Date: Sat, 28 Nov 2020 22:47:12 -0800

On 11/28/2020 10:42 PM, Joel M. Halpern wrote:

> Depending upon what you mean by "look exactly like" below, the 
> statement is either irelevant or does not match what I have seen as 
> existing practice.

I mean content and general organization. I do agree with you, Joel, that 
the same style guide applies to all streams.

-- Christian Huitema

> and feel across all RFCs.  there is an argument that they should be 
> more distinguished, as some people think / hope that would reduce the 
> all too common confusions.  (Of course, one would then want I-Ds to 
> look more distinct as well.)
>
> But untill and unless we agree as a community on making that change, 
> our existing practice has been to work for and value such consistency.
>
> Yours,
> Joel
>
>>> But the RFC series may actually be better able to serve their needs 
>>> if there is a way to have actual push-back on some not-so-good ideas 
>>> of a particular stream manager.
>>
>>
>> I agree with EKR that having the RPC escalate "author disagreements" 
>> to the stream manager would quickly resolve most of the issues. I am 
>> not too concerned about "uniformity of the series" arguments, since 
>> by definition research papers from the IRTF will not look exactly 
>> like proposed standards from the IETF, or individual contributions in 
>> the independent stream. If that's really becoming a problem, then the

---

From: Jay Daley <[email-masked]>
Date: Sun, 29 Nov 2020 20:11:49 +1300

I’m a bit confused.  Are we saying:

A1) There is a single style guide agreed by some process yet to be determined, that each stream manager is responsible for ensuring compliance with; or

A2) There is no single style guide and each stream manager is responsible for setting the style for their stream.

I’m guessing A1, and that is being recommended as an alternative to 

B) There is a single style guide and the RS[E/A] is responsible for ensuring compliance with it.

Sound right?

Jay

-- 
Jay Daley
IETF Executive Director

> On 29/11/2020, at 7:47 PM, Christian Huitema <[email-masked]> wrote:
> 
>> Depending upon what you mean by "look exactly like" below, the statement is either irelevant or does not match what I have seen as existing practice.
> 
> I mean content and general organization. I do agree with you, Joel, that the same style guide applies to all streams.
> 
> -- Christian Huitema
> 
>> 
>> We go to significant trouble to create and maintain a consistent look and feel across all RFCs.  there is an argument that they should be more distinguished, as some people think / hope that would reduce the all too common confusions.  (Of course, one would then want I-Ds to look more distinct as well.)
>> 
>> But untill and unless we agree as a community on making that change, our existing practice has been to work for and value such consistency.
>> 
>> Yours,
>> Joel
>> 
>>> I agree with EKR that having the RPC escalate "author disagreements" to the stream manager would quickly resolve most of the issues. I am not too concerned about "uniformity of the series" arguments, since by definition research papers from the IRTF will not look exactly like proposed standards from the IETF, or individual contributions in the independent stream. If that's really becoming a problem, then the "strategic" body looks like a good place to discuss it.
>>> 
>>> -- Christian Huitema
>>> 
>>> 
> 
> --

---

From: Carsten Bormann <[email-masked]>
Date: Sun, 29 Nov 2020 08:53:43 +0100

On 2020-11-29, at 08:11, Jay Daley <[email-masked]> wrote:
> […]

Thanks for making this more crystal-clear.

In corporate practice, there is a reason that the roles of CEO and CFO(*) are split.  It helps to have someone who has financial compliance as a principal concern on their mind.

(Now of course, “compliance” to a style guide isn’t nearly as “do or die” as financial compliance.  The RSE role had a bit more to it than just that, though, some of which also benefits from some focus.)

Grüße, Carsten

(*) I hope no RSE or CFO is feeling insulted by this parable.  
It’s just a parable...

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 30 Nov 2020 09:35:54 +1300

> the same style guide applies to all streams.

Agreed, but when it gets tricky is if there's disagreement between the RPC and the stream (or authors) about interpretation of the style guide. There's no doubt that having an RSE provides a definitive tiebreaker in such a case. If we have an RSA model, I think we'd have to specify who would act as arbiter for style disagreements.

   Brian

---

From: Adam Roach <[email-masked]>
Date: Sun, 29 Nov 2020 15:01:01 -0600

On 11/29/2020 2:35 PM, Brian E Carpenter wrote:
> Agreed, but when it gets tricky is if there's disagreement between the RPC and the stream (or authors) about interpretation of the style guide. There's no doubt that having an RSE provides a definitive tiebreaker in such a case.

"No doubt" overstates it a bit: it's not exactly that clear-cut, even in 
today's system. See, for example, RFC 4714 Section 3.3:

>       In specific instances, where some or all of
>       document text is the result of a careful negotiation of
>       contributions (within or between working groups, reviewers, etc.),
>       the technical publisher may be required to publish that text
>       verbatim.  In the IETF standards process, verbatim publication may
>       be requested by the IESG.  It is the expectation of the IETF
>       community that this will not be done often.

/a

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 30 Nov 2020 10:19:12 +1300

Yes, good catch, although I was more thinking of aesthetic questions like comma placement.

Regards
   Brian

---

From: Adam Roach <[email-masked]>
Date: Sun, 29 Nov 2020 15:48:13 -0600

Sure, and -- although slightly far-fetched, it's not completely 
implausible to imagine -- if there were a long-running and hard-fought 
argument within a working group regarding the placement of a specific 
comma, resulting in a difficult but ultimately decisive consensus call, 
the current system (as per the text I quote below) would seem to favor 
the stream manager's position of "publish the comma's position as per 
IETF consensus" over the RSE's aesthetic judgement.

Independent of that specific clause, we have an oddly devolved system 
today that practically favors the stream managers over the series editor 
in the case of strictly editorial disputes (even if the de jure role 
definitions don't make that clear), but it is admittedly ambiguous and 
contradictory in certain ways. It would be good if the outcome of this 
process were explicit on that topic, and I *think* it's separable from 
the other structural elements (e.g., RSE vs. RSA).

That's really my only  point.

/a

---

From: Jay Daley <[email-masked]>
Date: Mon, 30 Nov 2020 11:31:10 +1300

> On 30/11/2020, at 9:36 AM, Brian E Carpenter <[email-masked]> wrote:
> 

This appears to still be conflating separate things:

0) Who decides what the style guide is;

TBD

1)  Who determines how the style guide should be interpreted?

I believe everyone is agreed that this is the RPC on day-to-day basis.

2)  In the event the authors disagree with the determination above, who checks it and then tells anyone who disagrees with it that they need to accept it?

What some people are proposing is that the stream manager does this rather than the RS[E/A]. 

3)  What happens if the person(s) at 1) above disagrees with the decision at 2) above, and in particular what does that mean for consistency if 2) above is stream managers?

If 2) is an RSE then nothing happens and we assume consistency is in place by virtue of having a single person making the decisions.  If 2) is the stream managers then that can be fixed by giving the RPC (and anyone else?) the ability to appeal to 0) above for a consistency check.

Jay

-- 
Jay Daley
IETF Executive Director